import java.util.Collection;
import java.util.Map;
import java.util.Set;

/**
 * Created by Vol4ica on 13.06.2015.
 */
public class Page //это для страниц отдельный класс
{

    String Namepage;//название страницы
    Integer Number;//количество посещений


    public Page(String Namepage, Integer Number) {
       // new Thread(this.Namepage);
        this.Namepage = Namepage;
        this.Number = Number;
        visit.put(Namepage,Number);
        System.out.print("Name = "+Namepage+"; Number="+Number+"!!!  ");

    }

    public String getNamepage() {
        return Namepage;
    }

    public void setNamepage(String namepage) {
        Namepage = namepage;
    }

    public Integer getNumber() {
        return Number;
    }

    public void setNumber(Integer number) {
        Number = number;
    }


    @Override
    public String toString() {
        return "Page{" +
                "Namepage='" + Namepage + '\'' +
                ", Number=" + Number +
                '}';
    }

    public Map<String,Integer> visit = new Map<String, Integer>() {

        @Override
        public int size() {
            return 0;
        }

        @Override
        public boolean isEmpty() {
            return false;
        }

        @Override
        public boolean containsKey(Object key) {
            return false;
        }

        @Override
        public boolean containsValue(Object value) {
            return false;
        }

        @Override
        public Integer get(Object key) {
            return null;
        }

        @Override
        public Integer put(String key, Integer value) {
            return null;
        }

        @Override
        public Integer remove(Object key) {
            return null;
        }

        @Override
        public void putAll(Map<? extends String, ? extends Integer> m) {

        }

        @Override
        public void clear() {

        }

        @Override
        public Set<String> keySet() {
            return null;
        }

        @Override
        public Collection<Integer> values() {
            return null;
        }

        @Override
        public Set<Entry<String, Integer>> entrySet() {
            return null;
        }
    };
}